﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EAA
{
    partial class AboutBox1 : Form
    {
        public AboutBox1()
        {
            InitializeComponent();
            this.Text = String.Format("About");
        }

        #region Assemblyattributaccessoren

        public string AssemblyProduct
        {
            get
            {
                object[] attributes = Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyProductAttribute), false);
                if (attributes.Length == 0)
                {
                    return "";
                }
                return ((AssemblyProductAttribute)attributes[0]).Product;
            }
        }
        #endregion

        private void pictureBox1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            g.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.AntiAlias;

            Font aboutFont = new Font("", 8, FontStyle.Italic);
            PointF versionPos = new PointF(pictureBox1.Width - 175, pictureBox1.Height - 45);
            PointF namePos = new PointF(pictureBox1.Width - 175, pictureBox1.Height - 30);
            PointF rightsPos = new PointF(pictureBox1.Width - 175, pictureBox1.Height - 15);
            g.DrawString("EAA v0.2", aboutFont, Brushes.Black, versionPos);
            g.DrawString("Enclosed Area Approximator", aboutFont, Brushes.Black, namePos);
            g.DrawString("2014 \u00A9 häusle, halbwedl & bobby", aboutFont, Brushes.Black, rightsPos);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

    }
}
